<template>
  <div class="topbar">
    <!-- LOGO -->
    <div class="topbar-left">
      <router-link :to="{name:'home'}" class="logo">
        <img src="@/assets/images/logo-light.png" class="logo-lg" height="22" />
        <img src="@/assets/images/logo-sm.png" class="logo-sm" height="24" />
      </router-link>
    </div>

    <nav class="navbar-custom">
      <ul class="navbar-right list-inline float-right mb-0">
        <li
          class="list-inline-item d-none d-md-inline-block"
        >
        <button class="btn btn-primary" @click="changeLocale('en') ">
            English
        </button>
        <button class="btn btn-primary" @click="changeLocale('tr') ">
            Türkçe
        </button>
        
        
        </li>

        <li class="dropdown notification-list list-inline-item">
          <a class="btn btn-light text-danger" @click="logOut()"
            ><i class="mdi mdi-power text-danger"></i> {{ $t('logout') }}</a
          >
        </li>
      </ul>

      <ul class="list-inline menu-left mb-0">
        <li class="float-left">
          <button class="button-menu-mobile open-left waves-effect">
            <i class="mdi mdi-menu"></i>
          </button>
        </li>
      </ul>
    </nav>
  </div>
</template>

<script setup>
import { onMounted } from "@vue/runtime-core";
import { useAuthStore } from "../stores/auth";
import i18n from '../libs/i18n'
import { RouterLink } from "vue-router";
const authStore = useAuthStore();


const changeLocale = (val) => {
    i18n.global.locale = val
}
const logOut = () => {
  authStore.logout();
};
</script>

<style>
</style>